### Function

# Peas ExtensionSetForeachFunc

since: 1.2

#### Declaration

    void
    (* PeasExtensionSetForeachFunc) (
      PeasExtensionSet* set,
      PeasPluginInfo* info,
      PeasExtension* exten,
      gpointer data
    )

#### Description [src]

This function is passed to `peas_extension_set_foreach()` and will be called for each extension in `set`.

Available since: 1.2

#### Parameters

`set`

  Type: `PeasExtensionSet`

  A `PeasExtensionSet`.

  The data is owned by the caller of the function.

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the function.

`exten`

  Type: `PeasExtension`

  A `PeasExtension`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Optional data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.